Summary: cron daemon for home computers
Name: hc-cron
Version: 0.10
Release: 1
Copyright: GPL
Group: Daemons
Source0: ftp://sunsite.unc.edu/pub/Linux/system/daemons/cron/hc-cron-0.10.tar.gz
Source1: hc-cron.init
Source2: cron.log
Buildroot: /var/tmp/cron-root
Prereq: /sbin/chkconfig
Provides: crond

%description
cron is a standard UNIX program that runs user-specified programs at
periodic scheduled times. hc-cron adds a number of features to the
basic UNIX cron, including better security and more powerful configuration
options. Also it will catch up jobs that occurred while the computer was
turned off.

%prep
%setup
%build
make OPTIM="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man{1,5,8},sbin}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,2,3,4,5,6}.d}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool/cron
chmod 700 $RPM_BUILD_ROOT/var/spool/cron
mkdir -p $RPM_BUILD_ROOT/var/lib
touch $RPM_BUILD_ROOT/var/lib/cron.lastrun

install -m755 $RPM_SOURCE_DIR/hc-cron.init $RPM_BUILD_ROOT/etc/rc.d/init.d/crond
cd $RPM_BUILD_ROOT/etc/rc.d
ln -sf ../init.d/crond rc0.d/K60crond
ln -sf ../init.d/crond rc1.d/K60crond
ln -sf ../init.d/crond rc2.d/S40crond
ln -sf ../init.d/crond rc3.d/S40crond
ln -sf ../init.d/crond rc5.d/S40crond
ln -sf ../init.d/crond rc6.d/K60crond

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/cron.log $RPM_BUILD_ROOT/etc/logrotate.d/cron

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add crond

%postun
if [ $1 = 0 ]; then 
    /sbin/chkconfig --del crond
fi

%files

%defattr(-,root,root)
/usr/sbin/crond
/usr/bin/crontab
/usr/man/man8/crond.8
/usr/man/man8/cron.8
/usr/man/man5/crontab.5
/usr/man/man1/crontab.1

%dir /var/spool/cron

%config(missingok) /etc/rc.d/rc0.d/K60crond
%config(missingok) /etc/rc.d/rc1.d/K60crond
%config(missingok) /etc/rc.d/rc2.d/S40crond
%config(missingok) /etc/rc.d/rc3.d/S40crond
%config(missingok) /etc/rc.d/rc5.d/S40crond
%config(missingok) /etc/rc.d/rc6.d/K60crond
%config /etc/rc.d/init.d/crond
%config(missingok) /var/lib/cron.lastrun
%config /etc/logrotate.d/cron
